library(dae)
library(MASS)
library(ggplot2)
library(multcomp)

af<-read.csv("Raw data S1_SSA1SG1 and SSA1SG2 development data.csv")
attach(af)
#####anova for development time
###Location effect
m1<-aov(devel~spp*location)
anova(m1)
TukeyHSD(m1)
#means and standard errors
xx<-predict(m1,se.fit=TRUE)
ll<-list(spp,location)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("spp","location")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)


#####glms for count data
#####Adults
###location effect
yy<-adult
m2<-glm.nb(yy~spp*location)
summary(m2)
anova(m2)
#multiple comps for glm
dumm<-fac.combine(list(spp,location),combine.levels=TRUE)
m3<-glm.nb(yy~dumm)
summary(glht(m3,linfct=mcp(dumm="Tukey")))
cld(summary(glht(m3,linfct=mcp(dumm="Tukey"))))
#means and ses
xx<-predict(m2,type="response",se.fit=TRUE)
ll<-list(spp,location)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("spp","location")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)

#####proportion data of females
###location effect
yy<-cbind(female,adult-female)
m6<-glm(yy~spp*location, quasibinomial)
anova(m6,test="F")
#multiple comps for glm
dumm<-fac.combine(list(spp,location),combine.levels=TRUE)
m7<-glm(yy~dumm, quasibinomial)
summary(glht(m7, linfct = mcp(dumm = "Tukey")))
cld(glht(m7, linfct = mcp(dumm = "Tukey"))) 
#means and ses
xx<-predict(m6,type="response",se.fit=TRUE)
ll<-list(spp,location)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("spp", "location")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)


######nymphs
###location effect
yy1<-nymphs
m5<-glm.nb(yy1~spp*location)
summary(m5)
anova(m5)
#####multiple comps for glm
dumm<-fac.combine(list(spp,location),combine.levels=TRUE)
m3<-glm.nb(yy1~dumm)
summary(glht(m3,linfct=mcp(dumm="Tukey")))
cld(summary(glht(m3,linfct=mcp(dumm="Tukey"))))
#means and ses
xx<-predict(m5,type="response",se.fit=TRUE)
ll<-list(spp,location)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("spp","location")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)


