library(dae)
library(MASS)
library(ggplot2)
library(multcomp)

af<-read.csv("Raw data S1_SSA1SG1 SSA1SG2 SSA1SG3 and SSA2 development data.csv")
attach(af)
#####anova for development time
###whitefly species effect
m1<-aov(devel~spp)
anova(m1)
#means and standard errors
xx<-predict(m1,se.fit=TRUE)
ll<-list(spp)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("spp")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)
#generation of letters for multiple comparsion
summary(glht(m1, linfct = mcp(spp = "Tukey")))
cld(glht(m1, linfct = mcp(spp = "Tukey"))) 


###Plant-host effect
m1<-aov(devel~Host)
anova(m1)

#means and standard errors
xx<-predict(m1,se.fit=TRUE)
ll<-list(Host)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("Host")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)
#generation of letters for multiple comparsion
summary(glht(m1, linfct = mcp(Host = "Tukey")))
cld(glht(m1, linfct = mcp(Host = "Tukey"))) 

###whitefly*Plant effect
m1<-aov(devel~spp*Host)
anova(m1)

#####glms for count data
#####Adults
###whitefly effect
yy<-adult
m2<-glm.nb(yy~spp)
anova(m2)
#multiple comps for glm
dumm<-fac.combine(list(spp),combine.levels=TRUE)
m3<-glm.nb(yy~dumm)
summary(glht(m3,linfct=mcp(dumm="Tukey")))
cld(summary(glht(m3,linfct=mcp(dumm="Tukey"))))
#means and ses
xx<-predict(m2,type="response",se.fit=TRUE)
ll<-list(spp)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("spp")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)

###Plant-host effect
m2<-glm.nb(yy~Host)
anova(m2)
#multiple comps for glm
dumm<-fac.combine(list(Host),combine.levels=TRUE)
m3<-glm.nb(yy~dumm)
summary(glht(m3,linfct=mcp(dumm="Tukey")))
cld(summary(glht(m3,linfct=mcp(dumm="Tukey"))))
#means and ses
xx<-predict(m2,type="response",se.fit=TRUE)
ll<-list(Host)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("Host")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)

###whitefly/host effect
m2<-glm.nb(yy~spp*Host)
anova(m2)

#####proportion data of females
###whitefly effect
yy<-cbind(female,adult-female)
m6<-glm(yy~spp, quasibinomial)
anova(m6,test="F")
#multiple comps for glm
summary(glht(m6, linfct = mcp(spp = "Tukey")))
cld(glht(m6, linfct = mcp(spp = "Tukey"))) 
#means and ses
xx<-predict(m6,type="response",se.fit=TRUE)
ll<-list(spp)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("spp")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)

###plant-host effect
m6<-glm(yy~Host, quasibinomial)
anova(m6,test="F")
#multiple comps for glm
summary(glht(m6, linfct = mcp(Host = "Tukey")))
cld(glht(m6, linfct = mcp(Host = "Tukey"))) 
#means and ses
xx<-predict(m6,type="response",se.fit=TRUE)
ll<-list(Host)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("Host")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)

###whitefly/host
m6<-glm(yy~spp*Host, quasibinomial)
anova(m6,test="F")

######nymphs
###whitefly effect
yy1<-nymphs
m5<-glm.nb(yy1~spp)
summary(m5)
anova(m5)
#####multiple comps for glm
dumm<-fac.combine(list(spp),combine.levels=TRUE)
m3<-glm.nb(yy1~dumm)
summary(glht(m3,linfct=mcp(dumm="Tukey")))
cld(summary(glht(m3,linfct=mcp(dumm="Tukey"))))
#means and ses
xx<-predict(m5,type="response",se.fit=TRUE)
ll<-list(spp)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("spp")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)

###Plant-host effect
m5<-glm.nb(yy1~Host)
anova(m5)
#####multiple comps for glm
dumm<-fac.combine(list(Host),combine.levels=TRUE)
m3<-glm.nb(yy1~dumm)
summary(glht(m3,linfct=mcp(dumm="Tukey")))
cld(summary(glht(m3,linfct=mcp(dumm="Tukey"))))
#means and ses
xx<-predict(m5,type="response",se.fit=TRUE)
ll<-list(Host)
af$xx1<-xx[[1]]
af$xx2<-xx[[2]]
mm<-tapply(af$xx1,ll,mean)
sem<-tapply(af$xx2,ll,mean)
asd<-as.data.frame(table(ll,dnn=c("Host")))
asd$means<-as.vector(mm)
asd$se<-as.vector(sem)
print(asd)

###spp/host/location effect
m5<-glm.nb(yy1~spp*Host)
anova(m5)
